The Lustre 2.8.0 release was only built with CentOS 7.2, and AFAIK there are a number of patches needed to build against CentOS 7.3 which are included in the Lustre 2.9.0 release.

 

Cheers, Andreas

-- 

Andreas Dilger

Lustre Principal Architect

Intel High Performance Data Division

 

On 2017/01/11, 19:50, "HPDD-discuss on behalf of Jen-Chang Chen" <hpdd-discuss-bounces@lists.01.org on behalf of jenchangchen@gmail.com> wrote:

 

Hi Lustre experts

I was wondering the possibility to build lustre client of version 2.8.0 with CentOS 7.3 “3.10.0-514.2.2.el7.x86_64” from the SRPM of “
lustre-client-2.8.0-3.10.0_327.3.1.el7.x86_64.src.rpm
”.

Somehow there are some modifications in the kernel source. Just like the report on the mail archive (see below).

https://www.mail-archive.com/lustre-discuss@lists.lustre.org/msg13167.html

 

Could we build the rpm files of lustre client 2.8.0 with git source successfully?

I try the SRPM of lustre 2.9.0 with CentOS 7.3.1611. It works.  

Thanks in advances.

 

Best regards,

James J.-C. CHEN (Ph.D)